Module javafx.base
Package javafx.beans.property.adapter

# Class ReadOnlyJavaBeanDoublePropertyBuilder

java.lang.Object
javafx.beans.property.adapter.ReadOnlyJavaBeanDoublePropertyBuilder

public final class ReadOnlyJavaBeanDoublePropertyBuilder extends Object
A `ReadOnlyJavaBeanDoublePropertyBuilder` can be used to create `ReadOnlyJavaBeanDoubleProperties`. To create a `ReadOnlyJavaBeanDoubleProperty` one first has to call `create()` to generate a builder, set the required properties, and then one can call `build()` to generate the property.

Not all properties of a builder have to specified, there are several combinations possible. As a minimum the `name(java.lang.String)` of the property and the `bean(java.lang.Object)` have to be specified. If the name of the getter follows the conventions, this is sufficient. Otherwise it is possible to specify an alternative name for the getter (`getter(java.lang.String)`) or the getter `Methods` directly (`getter(java.lang.reflect.Method)`).

All methods to change properties return a reference to this builder, to enable method chaining.

If you have to generate adapters for the same property of several instances of the same class, you can reuse a `ReadOnlyJavaBeanDoublePropertyBuilder`. by switching the Java Bean instance (with `bean(java.lang.Object)` and calling `build()`.

Since:
  JavaFX 2.1
See Also:
  - `ReadOnlyJavaBeanDoubleProperty`

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyJavaBeanDoublePropertyBuilder()`

## Method Summary

Modifier and Type
Method
Description
`ReadOnlyJavaBeanDoublePropertyBuilder`
`bean(Object bean)`
Set the Java Bean instance the adapter should connect to
`ReadOnlyJavaBeanDoublePropertyBuilder`
`beanClass(Class<?> beanClass)`
Set the Java Bean class in which the getter should be searched.
`ReadOnlyJavaBeanDoubleProperty`
`build()`
Generate a new `ReadOnlyJavaBeanDoubleProperty` with the current settings.
`static ReadOnlyJavaBeanDoublePropertyBuilder`
`create()`
Create a new instance of `ReadOnlyJavaBeanDoublePropertyBuilder`
`ReadOnlyJavaBeanDoublePropertyBuilder`
`getter(Method getter)`
Set the getter method directly.
`ReadOnlyJavaBeanDoublePropertyBuilder`
`getter(String getter)`
Set an alternative name for the getter.
`ReadOnlyJavaBeanDoublePropertyBuilder`
`name(String name)`
Set the name of the property

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadOnlyJavaBeanDoublePropertyBuilder

public ReadOnlyJavaBeanDoublePropertyBuilder()

## Method Details

### create

public static ReadOnlyJavaBeanDoublePropertyBuilder create()
Create a new instance of `ReadOnlyJavaBeanDoublePropertyBuilder`

Returns:
  the new `ReadOnlyJavaBeanDoublePropertyBuilder`

### build

public ReadOnlyJavaBeanDoubleProperty build() throws NoSuchMethodException
Generate a new `ReadOnlyJavaBeanDoubleProperty` with the current settings.

Returns:
  the new `ReadOnlyJavaBeanDoubleProperty`
Throws:
  `NoSuchMethodException` - if the settings were not sufficient to find the getter of the Java Bean property
  `IllegalArgumentException` - if the Java Bean property is not of type `double` or `Double`

### name

public ReadOnlyJavaBeanDoublePropertyBuilder name(String name)
Set the name of the property

Parameters:
  `name` - the name of the property
Returns:
  a reference to this builder to enable method chaining

### bean

public ReadOnlyJavaBeanDoublePropertyBuilder bean(Object bean)
Set the Java Bean instance the adapter should connect to

Parameters:
  `bean` - the Java Bean instance
Returns:
  a reference to this builder to enable method chaining

### beanClass

public ReadOnlyJavaBeanDoublePropertyBuilder beanClass(Class<?> beanClass)
Set the Java Bean class in which the getter should be searched. This can be useful, if the builder should generate adapters for several Java Beans of different types.

Parameters:
  `beanClass` - the Java Bean class
Returns:
  a reference to this builder to enable method chaining

### getter

public ReadOnlyJavaBeanDoublePropertyBuilder getter(String getter)
Set an alternative name for the getter. This can be omitted, if the name of the getter follows Java Bean naming conventions.

Parameters:
  `getter` - the alternative name of the getter
Returns:
  a reference to this builder to enable method chaining

### getter

public ReadOnlyJavaBeanDoublePropertyBuilder getter(Method getter)
Set the getter method directly. This can be omitted, if the name of the getter follows Java Bean naming conventions.

Parameters:
  `getter` - the getter
Returns:
  a reference to this builder to enable method chaining